Skip to content
Docs

Update an issuer

PATCHhttps://api.vercel.com/v1/kms/issuers/{issuerId}
Update a KMS issuer's name or claims schema.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.kms.updateKmsIssuer({
issuerId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"algorithm": "ES256",
"claimsSchema": "value",
"createdAt": "string",
"id": "icfg_1234567890",
"managedBy": "string",
"name": "Example Name",
"origin": "external",
"ownerId": "example_id",
"policies": [
{
"createdAt": "string",
"environments": [],
"kind": "project-grant",
"projectId": "example_id",
"teamId": "example_id",
"tokenClaims": "value",
"updatedAt": "string"
}
],
"signingKeys": [
{
"activateAt": "string",
"activatedAt": "string",
"algorithm": "string",
"certificatePem": "string",
"createdAt": "string",
"importKeyId": "example_id",
"issuerId": "example_id",
"keyId": "example_id",
"publicKey": {
"alg": "string",
"key_ops": [],
"kid": "example_id",
"kty": "string",
"use": "string",
"x5c": [],
"x5t#S256": "string"
},
"publicKeyFingerprint": "string",
"publicKeyPem": "string",
"revokeAt": "string",
"status": "active",
"updatedAt": "string"
}
],
"updatedAt": "string"
}
AuthorizationbearerToken

Default authentication mechanism

issuerIdstringRequired
The ID of the issuer.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
The name of the issuer.
claimsSchemaobjectOptional
A JSON Schema used to validate the resolved token claims when signing tokens for this issuer. Pass null to remove it.
200Success
algorithmstringRequired
claimsSchemaobjectOptional
createdAtstringRequired
idstringRequired
managedBystringOptional
namestringRequired
originstringRequired
ownerIdstringRequired
policiesarrayRequired
signingKeysarrayRequired
updatedAtstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error